Skip to main content
POST
/
api
/
v1
/
auth
/
otc
/
withdrawals
/
{id}
/
execute
Execute withdrawal (admin)
curl --request POST \
  --url https://crypto.westminister.tech/api/v1/auth/otc/withdrawals/{id}/execute \
  --header 'Authorization: Bearer <token>'
{
  "withdrawal": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "merchant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "usdt_amount": "<string>",
    "fiat_amount": "<string>",
    "fiat_currency": "<string>",
    "method": "bank",
    "status": "pending",
    "from_wallet_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "payout_bank_account": "<string>",
    "payout_bank_name": "<string>",
    "payout_phone_number": "<string>",
    "rejection_reason": "<string>",
    "rejected_at": "2023-11-07T05:31:56Z",
    "rejected_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "approved_at": "2023-11-07T05:31:56Z",
    "approved_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "transfer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "completed_at": "2023-11-07T05:31:56Z",
    "completed_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "internal_note": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  },
  "transfer": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "tx_hash": "<string>",
    "status": "<string>"
  },
  "message": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

Response

200 - application/json

Withdrawal executed

Response when withdrawal is executed

withdrawal
object
transfer
object
message
string